You are not logged in.

#1 2022-11-11 06:33:22

ashudixit
Member
Registered: 2022-11-11
Posts: 2

git-send-email not working on arch

I am facing the same issue as the one here:

https://bugs.archlinux.org/task/62948

git send-email results in:

Not using SSL_VERIFY_PEER due to out-of-date IO::Socket::SSL.
To use SSL please install IO::Socket::SSL with version>=2.007 at /usr/share/perl5/core_perl/Net/SMTP.pm line 268.

I did install perl-io-socket-ssl but issue remains.

$ pacman -Q | grep perl-io-socket-ssl
perl-io-socket-ssl 2.075-1

Not familiar with perl installations:

$ pacman -Ql perl-io-socket-ssl
...
perl-io-socket-ssl /usr/share/perl5/vendor_perl/IO/Socket/SSL.pm

So not sure if the vendor_perl path instead of core_perl requirement is the issue.

Thanks to anyone who can help.

Last edited by ashudixit (2022-11-11 06:39:29)

Offline

#2 2022-11-11 12:27:24

progandy
Member
Registered: 2012-05-17
Posts: 5,048

Re: git-send-email not working on arch

Installing the package should work. What is the output of

perl -MIO::Socket::SSL -le 'print $IO::Socket::SSL::VERSION'

| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#3 2022-11-11 14:57:32

ashudixit
Member
Registered: 2022-11-11
Posts: 2

Re: git-send-email not working on arch

@progandy, thank you. Running the above command helped me resolve the issue. The command was crashing and it turned out that was due to an incomplete perl installation in my home directory rather than the system Perl installation. The issue is now gone. Thanks again.

Offline

Board footer

Powered by FluxBB